# -*- encoding: utf-8 -*-

###############################################################################
#
# 2018/01/18
#
# Second_Program
#
# IPを取得し、それに対応する国コードをリアルタイムで取得し、吐き出すプログラム
#
# @Author Kyosuke Shimada
###############################################################################

import sys
import re
import codecs
import os
import ipaddress
from ipwhois import IPWhois
from warnings import filterwarnings

os.chdir('..')
dic = os.getcwd()
dlist = os.listdir(dic+'/IP/')
logfile = 0
sagasu = 'ip'
for l in dlist :
    if sagasu in l:
        logfile = l
if logfile == 0 :
    print("IP data Nothing")
    sys.exit()


filterwarnings( action="ignore")
readIp = codecs.open(dic+'/IP/'+logfile, 'r', "utf_8_sig")
wkunicode = codecs.open(dic+'/DATA/CC.txt', 'w', "utf_8_sig")

line = readIp.readline().rstrip(' \r\n')

while line :

    try:
        ob = IPWhois(line)
    except:
        #print("LOCAL")
        wkunicode.write("LOCAL")
        wkunicode.write("\n")
        line = readIp.readline().rstrip(' \r\n')
        continue

    try:
        responce = ob.lookup_whois(retry_count=0)
    except:
        #print("Request Denied")
        wkunicode.write("Request Denied")
        wkunicode.write("\n")
        line = readIp.readline().rstrip(' \r\n')
        continue

    if responce['asn_country_code']:
        wkunicode.write(responce['asn_country_code'])
        wkunicode.write("\n")
    else :
        wkunicode.write("Don't know")
        wkunicode.write("\n")
    line = readIp.readline().rstrip(' \r\n')


readIp.close
wkunicode.close
